Resource Center/Resource Pool/VM Instance Operations
PUTVM Instance OperationsSince 3.7.0SynchronousAuth Required
SetVmSoundType
SetVmSoundType
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe VM instance UUID.
Body Fields
setvmsoundtypeObjectRequiredsetvmsoundtype request body object.
soundTypeStringRequiredThe virtual sound card type. Default type: ICH6.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vm-instances/{uuid}/actions
/zstack/v1/vm-instances/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vm-instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvmsoundtype":{"soundType":"<soundType>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
